---
title: "Resend callback"
url: "https://docs.signnow.com/docs/callbacks-info/operations/post-v2-event-subscriptions-subscription_id-callbacks-callback_id-resend"
type: "endpoint"
section: "callbacks-info"
slug: "callbacks-info/operations/post-v2-event-subscriptions-subscription_id-callbacks-callback_id-resend"
method: "POST"
path: "/v2/event-subscriptions/{subscription_id}/callbacks/{callback_id}/resend"
operation_id: "post-v2-event-subscriptions-subscription_id-callbacks-callback_id-resend"
authorization: "bearer"
---

# Resend callback

`POST /v2/event-subscriptions/{subscription_id}/callbacks/{callback_id}/resend`

This endpoint allows users to resend a callback.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `callback_id` | string | Yes |  |
| `subscription_id` | string | Yes |  |

## Responses

### 200

Success

**Example** (`Example 1`)

```json
{
  "message": "Webhook resend successful."
}
```

### 400

* Incorrect or missing token.
* Either `callback_url` is still unavailable or it returns an error.

**Example** (`Error persists`)

```json
{
  "code": 15006043,
  "message": "Failed to send callback. Check the current callback info endpoint for details."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* User is trying to resend a successful callback.
* Thus subscription is deactivated.
* Either access token or subscription ID belongs to another user.

**Example** (`Incorrect user`)

```json
{
  "code": 15006004,
  "message": "Event subscription is not allowed."
}
```

**Example** (`Deactivated subscription`)

```json
{
  "code": 15006041,
  "message": "Event subscription has to be active to resend a webhook."
}
```

**Example** (`Resending successful callback`)

```json
{
  "code": 15006042,
  "message": "Successful webhook resending is not allowed."
}
```

### 404

* `subscription_id` does not exist
* `callback_id` does not exist
* Incorrect `subscription_id`
* Incorrect `callback_id`

**Example** (`Incorrect callback_id`)

```json
{
  "404": "Unable to find a route to match the URI: /v2/event-subscriptions/1234567890123456789012345678901234567890/callbacks/null/resend "
}
```

**Example** (`Incorrect subscription_id`)

```json
{
  "404": "Unable to find a route to match the URI: /v2/event-subscriptions/null/callbacks/1234567890123456789012345678901234567890/resend "
}
```

**Example** (`callback_id does not exist`)

```json
{
  "code": 15006006,
  "message": "CallbackResponseLog `218111` not found"
}
```

**Example** (`subscription_id does not exist`)

```json
{
  "code": 15006003,
  "message": "Event subscription not found."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/event-subscriptions/{subscription_id}/callbacks/{callback_id}/resend" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/callbacks-info/operations/post-v2-event-subscriptions-subscription_id-callbacks-callback_id-resend*
